Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEServer

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, Container, J2EELogicalServer, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter, StateManageable

public interface J2EEServer
extends J2EELogicalServer, Container

Field Summary
`static java.lang.String` | `J2EE_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.j2ee.StateManageable
`STATE_FAILED, STATE_RUNNING, STATE_STARTING, STATE_STOPPED, STATE_STOPPING`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`java.lang.String[]` | `getdeployedObjects()` Note that the Attribute name is case-sensitive "deployedObjects" as defined by JSR 77.
`java.util.Set` | `getDeployedObjectsSet()` Return Set of all deployed objects.
`java.lang.String[]` | `getjavaVMs()` In 8.1, there will only ever be one JVM for a J2EEServer.
`JVM` | `getJVM()` In 8.1, there is only a single JVM for a J2EEServer.
`java.lang.String[]` | `getresources()` Note that the Attribute name is case-sensitive "resources" as defined by JSR 77.
`java.util.Set` | `getResourcesSet()` Return Set of all resources.
`java.lang.String` | `getserverVendor()` Note that the Attribute name is case-sensitive "serverVendor" as defined by JSR 77.
`java.lang.String` | `getserverVersion()` Note that the Attribute name is case-sensitive "serverVersion" as defined by JSR 77.

Methods inherited from interface com.sun.appserv.management.j2ee.J2EELogicalServer
`startApp, stopApp`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.j2ee.StateManageable
`getstartTime, getstate, start, startRecursive, stop`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

See Also:
  Constant Field Values

Method Detail

### getdeployedObjects

    public java.lang.String[] getdeployedObjects()

  Note that the Attribute name is case-sensitive "deployedObjects" as defined by JSR 77.

  Returns:
    the ObjectNames as Strings

### getDeployedObjectsSet

    public java.util.Set getDeployedObjectsSet()

  Return Set of all deployed objects. Possible types include:
  - `J2EEApplication`
  - `WebModule`
  - `EJBModule`
  - `AppClientModule`
  - `ResourceAdapterModule`

  To obtain Resources of a particular type, use `Container.getContaineeMap(java.lang.String)`(j2eeType).

### getjavaVMs

    public java.lang.String[] getjavaVMs()

  In 8.1, there will only ever be one JVM for a J2EEServer. Note that the Attribute name is case-sensitive "javaVMs" as defined by JSR 77.

  Returns:
    the ObjectNames as Strings

### getJVM

    public JVM getJVM()

  In 8.1, there is only a single JVM for a J2EEServer.

  Returns:
    JVM

### getresources

    public java.lang.String[] getresources()

  Note that the Attribute name is case-sensitive "resources" as defined by JSR 77.

  Returns:
    the ObjectNames as Strings

### getResourcesSet

    public java.util.Set getResourcesSet()

  Return Set of all resources. Possible types include:
  - `JDBCResource`
  - `JavaMailResource`
  - `JCAResource`
  - `JMSResource`
  - `JNDIResource`
  - `JTAResource`
  - `RMIIIOPResource`
  - `URLResource`

  To obtain Resources of a particular type, use `Container.getContaineeMap(java.lang.String)`(j2eeType).

### getserverVendor

    public java.lang.String getserverVendor()

  Note that the Attribute name is case-sensitive "serverVendor" as defined by JSR 77.

  Returns:
    the server vendor, a free-form String

### getserverVersion

    public java.lang.String getserverVersion()

  Note that the Attribute name is case-sensitive "serverVersion" as defined by JSR 77.

  Returns:
    the server version, a free-form String

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.